Get seat tracking reviewer assignments
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budgetCreatorId": "user-2",
"rows": [
{
"scopeType": "user",
"scopeId": "user-1",
"label": "Alice",
"reviewerUserIds": [
"user-2"
],
"reviewers": [
{
"id": "user-2",
"name": "FinOps Analyst",
"email": "finops@example.com"
}
],
"usesCreatorFallback": false
}
],
"reviewerCandidates": [
{
"id": "user-2",
"name": "FinOps Analyst",
"email": "finops@example.com"
}
],
"unassignedUsingCreatorFallbackCount": 0,
"groupConfigEnabled": false,
"ungroupedLabel": "Ungrouped"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Get seat tracking reviewer assignments
List reviewer assignments for limit requests in a project.
GET
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
/
reviewer-assignments
Get seat tracking reviewer assignments
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}/reviewer-assignments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budgetCreatorId": "user-2",
"rows": [
{
"scopeType": "user",
"scopeId": "user-1",
"label": "Alice",
"reviewerUserIds": [
"user-2"
],
"reviewers": [
{
"id": "user-2",
"name": "FinOps Analyst",
"email": "finops@example.com"
}
],
"usesCreatorFallback": false
}
],
"reviewerCandidates": [
{
"id": "user-2",
"name": "FinOps Analyst",
"email": "finops@example.com"
}
],
"unassignedUsingCreatorFallbackCount": 0,
"groupConfigEnabled": false,
"ungroupedLabel": "Ungrouped"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I